Delete IVR
Permanently deletes an IVR menu.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
delete_ivrfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
ID of the IVR.
Example3
curl https://api.dcdial.com/api/ \ -d type=delete_ivr \ -d token="$DCDIAL_TOKEN" \ -d ivr_id=3<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'delete_ivr', 'token' => getenv('DCDIAL_TOKEN'), 'ivr_id' => 3, ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "delete_ivr", token: process.env.DCDIAL_TOKEN, ivr_id: "3", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "delete_ivr", "token": os.environ["DCDIAL_TOKEN"], "ivr_id": 3, }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "" }}Try it